Subject: Hi usefor-archive, Seasonal discounts. a

From: "Meds from Pfizer" <[email-masked]>
Date: Thu, 21 Oct 2010 07:57:29 -0700 (PDT)

Trouble with links or images?
View this message online.

October 21, 2010

Dear
usefor-archive,

Copyright © 2009 World Point A previously new | All Rights Reserved.

We are committed to protecting your privacy, so your email address will NEVER be
sold, rented, or exchanged. This message was sent to [email-masked]. Visit your
subscription management page to modify your email communication preferences
or update your personal profile. To stop ALL email from us, click
here (or reply via email with "remove" in the subject line).